searchData={"items":[{"type":"module","title":"AlphaVantage","doc":"A set of functions to fetch data from the [Alpha Vantage API](https://www.alphavantage.co/documentation/#) in flexible manner, as well as retrieve the valid inputs for the API.","ref":"AlphaVantage.html"},{"type":"function","title":"AlphaVantage.query/1","doc":"Returns data per the provided function and inputs, accepted as a keyword list or map.\nPlease cite the Alpha Vantage [documentation](https://www.alphavantage.co/documentation/#) for details as to what parameters and options are to be utilized for each function.\nThe `AlphaVantage.Cryptocurrenies`,`AlphaVantage.Forex`, `AlphaVantage.StockTimeSeries`, and `AlphaVantage.TechnicalIndicators` modules can be leveraged for more structured and explicit inputs, per function.","ref":"AlphaVantage.html#query/1"},{"type":"module","title":"AlphaVantage.Cryptocurrencies","doc":"A set of functions for fetching cryptocurrency data from [Alpha Vantage](www.alphavantage.co/documentation/#digital-currency).","ref":"AlphaVantage.Cryptocurrencies.html"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.alpha_vantage_coin/1","doc":"Returns the real-time price of AVC with the United States Dollar (USD) as the base currency.\nThe AVC price is streamed from the major decentralized exchange (DEX) Uniswap.\n\nPlease reference https://www.alphavantage.co/documentation/#avc-price for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#alpha_vantage_coin/1"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.alpha_vantage_coin/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#alpha_vantage_coin/1-parameters"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.daily/3","doc":"Returns the daily historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC).\nPrices and volumes are quoted in both the market-specific currency and USD.\n\nPlease reference https://www.alphavantage.co/documentation/#currency-daily for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#daily/3"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.daily/3","doc":"**Required**\n\n- `:symbol`\n\n  The digital/crypto currency of your choice.\n  It can be any of the currencies in the [digital currency list](https://www.alphavantage.co/digital_currency_list/).\n  For example: `\"BTC\"`\n\n- `:market`\n\n  The exchange market of your choice.\n  It can be any of the market in the [market list](https://www.alphavantage.co/physical_currency_list/).\n  For example: `\"CNY\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#daily/3-parameters"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.exchange_rate/3","doc":"Returns the realtime exchange rate for any pair of digital currency (e.g., Bitcoin) and physical currency (e.g., USD).\nData returned for physical currency (Forex) pairs also include realtime bid and ask prices.\n\nPlease reference https://www.alphavantage.co/documentation/#crypto-exchange for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#exchange_rate/3"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.exchange_rate/3","doc":"**Required**\n\n- `:from_currency`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_currency`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n\n  *Please note that `\"csv\"` is not yet supported by Alpha Vantage for this function.","ref":"AlphaVantage.Cryptocurrencies.html#exchange_rate/3-parameters"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.intraday/4","doc":"Returns intraday time series (timestamp, open, high, low, close, volume) of the cryptocurrency specified, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#crypto-intraday for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#intraday/4"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.intraday/4","doc":"**Required**\n\n- `:symbol`\n\n  The digital/crypto currency of your choice.\n  It can be any of the currencies in the [digital currency list](https://www.alphavantage.co/digital_currency_list/).\n  For example: `\"BTC\"`\n\n- `:market`\n\n  The exchange market of your choice.\n   It can be any of the market in the [market list](https://www.alphavantage.co/physical_currency_list/).\n  For example: `\"USD\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Cryptocurrencies.html#intraday/4-parameters"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.monthly/3","doc":"Returns the monthly historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC).\nPrices and volumes are quoted in both the market-specific currency and USD.\n\nPlease reference https://www.alphavantage.co/documentation/#currency-monthly for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#monthly/3"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.monthly/3","doc":"**Required**\n\n- `:symbol`\n\n  The digital/crypto currency of your choice.\n  It can be any of the currencies in the [digital currency list](https://www.alphavantage.co/digital_currency_list/).\n  For example: `\"BTC\"`\n\n- `:market`\n\n  The exchange market of your choice.\n   It can be any of the market in the [market list](https://www.alphavantage.co/physical_currency_list/).\n  For example: `\"CNY\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#monthly/3-parameters"},{"type":"function","title":"AlphaVantage.Cryptocurrencies.weekly/3","doc":"Returns the weekly historical time series for a digital currency (e.g., BTC) traded on a specific market (e.g., CNY/Chinese Yuan), refreshed daily at midnight (UTC).\nPrices and volumes are quoted in both the market-specific currency and USD.\n\nPlease reference https://www.alphavantage.co/documentation/#currency-weekly for more detail.","ref":"AlphaVantage.Cryptocurrencies.html#weekly/3"},{"type":"function","title":"Parameters - AlphaVantage.Cryptocurrencies.weekly/3","doc":"**Required**\n\n- `:symbol`\n\n  The digital/crypto currency of your choice.\n  It can be any of the currencies in the [digital currency list](https://www.alphavantage.co/digital_currency_list/).\n  For example: `\"BTC\"`\n\n- `:market`\n\n  The exchange market of your choice.\n   It can be any of the market in the [market list](https://www.alphavantage.co/physical_currency_list/).\n  For example: `\"CNY\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Cryptocurrencies.html#weekly/3-parameters"},{"type":"module","title":"AlphaVantage.EconomicIndicators","doc":"A set of functions for key US economic indicators from [Alpha Vantage](www.alphavantage.co/documentation/#economic-indicators).","ref":"AlphaVantage.EconomicIndicators.html"},{"type":"function","title":"AlphaVantage.EconomicIndicators.consumer_sentiment/1","doc":"Returns the monthly consumer sentiment and confidence data of the United States, as measured by the Surveys of Consumers by University of Michigan (Consumer Sentiment © [UMCSENT]), retrieved from FRED, Federal Reserve Bank of St. Louis.\n\nPlease reference https://www.alphavantage.co/documentation/#consumer-sentiment for more detail.","ref":"AlphaVantage.EconomicIndicators.html#consumer_sentiment/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.consumer_sentiment/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#consumer_sentiment/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.cpi/1","doc":"Returns the monthly and semiannual consumer price index (CPI) of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#cpi for more detail.","ref":"AlphaVantage.EconomicIndicators.html#cpi/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.cpi/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:interval`\n  - `\"monthly\"` (default)\n  - `\"semiannual\"`","ref":"AlphaVantage.EconomicIndicators.html#cpi/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.durable_goods/1","doc":"Returns the monthly manufacturers' new orders of durable goods in the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#durable-goods for more detail.","ref":"AlphaVantage.EconomicIndicators.html#durable_goods/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.durable_goods/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#durable_goods/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.inflation/1","doc":"Returns the annual inflation rates (consumer prices) of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#inflation for more detail.","ref":"AlphaVantage.EconomicIndicators.html#inflation/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.inflation/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#inflation/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.inflation_expectation/1","doc":"Returns the monthly inflation expectation data of the United States, as measured by the median expected price change next 12 months according to the Surveys of Consumers by University of Michigan (Inflation Expectation© [MICH]), retrieved from FRED, Federal Reserve Bank of St. Louis.\n\nPlease reference https://www.alphavantage.co/documentation/#inflation-expectation for more detail.","ref":"AlphaVantage.EconomicIndicators.html#inflation_expectation/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.inflation_expectation/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#inflation_expectation/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.interest_rate/1","doc":"Returns the daily, weekly, and monthly federal funds rate (interest rate) of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#interest-rate for more detail.","ref":"AlphaVantage.EconomicIndicators.html#interest_rate/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.interest_rate/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:interval`\n  - `\"daily\"`\n  - `\"weekly\"`\n  - `\"monthly\"` (default)","ref":"AlphaVantage.EconomicIndicators.html#interest_rate/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.nonfarm_payroll/1","doc":"Returns the monthly US All Employees: Total Nonfarm (commonly known as Total Nonfarm Payroll), a measure of the number of U.S. workers in the economy that excludes proprietors, private household employees, unpaid volunteers, farm employees, and the unincorporated self-employed.\n\nPlease reference https://www.alphavantage.co/documentation/#nonfarm-payroll for more detail.","ref":"AlphaVantage.EconomicIndicators.html#nonfarm_payroll/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.nonfarm_payroll/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#nonfarm_payroll/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.real_gdp/1","doc":"Returns the annual and quarterly Real GDP of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#real-gdp for more detail.","ref":"AlphaVantage.EconomicIndicators.html#real_gdp/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.real_gdp/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:interval`\n  - `\"quarterly\"`\n  - `\"annual\"` (default)","ref":"AlphaVantage.EconomicIndicators.html#real_gdp/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.real_gdp_per_capita/1","doc":"Returns the quarterly Real GDP per Capita data of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#real-gdp-per-capita for more detail.","ref":"AlphaVantage.EconomicIndicators.html#real_gdp_per_capita/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.real_gdp_per_capita/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#real_gdp_per_capita/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.retail_sales/1","doc":"Returns the monthly Advance Retail Sales: Retail Trade data of the United States.\n\nPlease reference https://www.alphavantage.co/documentation/#retail-sales for more detail.","ref":"AlphaVantage.EconomicIndicators.html#retail_sales/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.retail_sales/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#retail_sales/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.treasury_yield/1","doc":"Returns the daily, weekly, and monthly US treasury yield of a given maturity timeline (e.g., 5 year, 30 year, etc).\n\nPlease reference https://www.alphavantage.co/documentation/#treasury-yield for more detail.","ref":"AlphaVantage.EconomicIndicators.html#treasury_yield/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.treasury_yield/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:interval`\n  - `\"quarterly\"`\n  - `\"annual\"` (default)\n\n- `:maturity`\n  - `\"3month\"`\n  - `\"5year\"`\n  - `\"10year\"` (default)\n  - `\"30year\"`","ref":"AlphaVantage.EconomicIndicators.html#treasury_yield/1-parameters"},{"type":"function","title":"AlphaVantage.EconomicIndicators.unemployment_rate/1","doc":"Returns the monthly unemployment data of the United States.\nThe unemployment rate represents the number of unemployed as a percentage of the labor force. Labor force data are restricted to people 16 years of age and older, who currently reside in 1 of the 50 states or the District of Columbia, who do not reside in institutions (e.g., penal and mental facilities, homes for the aged), and who are not on active duty in the Armed Forces.\n\nPlease reference https://www.alphavantage.co/documentation/#unemployment for more detail.","ref":"AlphaVantage.EconomicIndicators.html#unemployment_rate/1"},{"type":"function","title":"Parameters - AlphaVantage.EconomicIndicators.unemployment_rate/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.EconomicIndicators.html#unemployment_rate/1-parameters"},{"type":"module","title":"AlphaVantage.Error","doc":"A struct which represents an error that occurred during an Alpha Vantage API call.\n\nIt is important to note that Alpha Vantage will return some error payloads inside a 200 response.\n\nIt contains the following fields:\n- `:body` – the raw HTTP response body\n- `:status_code` – the HTTP response status code (e.g., 401)","ref":"AlphaVantage.Error.html"},{"type":"type","title":"AlphaVantage.Error.t/0","doc":"","ref":"AlphaVantage.Error.html#t:t/0"},{"type":"module","title":"AlphaVantage.Forex","doc":"A set of functions for fetching forex (FX) rates from [Alpha Vantage](www.alphavantage.co/documentation/#fx).","ref":"AlphaVantage.Forex.html"},{"type":"function","title":"AlphaVantage.Forex.daily/3","doc":"Returns the daily time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#fx-daily for more detail.","ref":"AlphaVantage.Forex.html#daily/3"},{"type":"function","title":"Parameters - AlphaVantage.Forex.daily/3","doc":"**Required**\n\n- `:from_currency`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_currency`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Forex.html#daily/3-parameters"},{"type":"function","title":"AlphaVantage.Forex.exchange_rate/3","doc":"Returns the realtime exchange rate for any pair of digital currency (e.g., Bitcoin) and physical currency (e.g., USD).\nData returned for physical currency (Forex) pairs also include realtime bid and ask prices.\n\nPlease reference https://www.alphavantage.co/documentation/#currency-exchange for more detail.","ref":"AlphaVantage.Forex.html#exchange_rate/3"},{"type":"function","title":"Parameters - AlphaVantage.Forex.exchange_rate/3","doc":"**Required**\n\n- `:from_currency`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_currency`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n\n  By default, `datatype: \"map\"`.\n  Strings `\"map\"` and `\"json\"` are accepted with the following specifications:\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n\n  *Please note that `\"csv\"` and is not yet supported by Alpha Vantage for this function.","ref":"AlphaVantage.Forex.html#exchange_rate/3-parameters"},{"type":"function","title":"AlphaVantage.Forex.intraday/4","doc":"Returns the intraday time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#fx-intraday for more detail.","ref":"AlphaVantage.Forex.html#intraday/4"},{"type":"function","title":"Parameters - AlphaVantage.Forex.intraday/4","doc":"**Required**\n\n- `:from_symbol`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_symbol`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.Forex.html#intraday/4-parameters"},{"type":"function","title":"AlphaVantage.Forex.monthly/3","doc":"Returns the monthly time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime.\nThe latest data point is the prices information for the month (or partial month) containing the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#fx-monthly for more detail.","ref":"AlphaVantage.Forex.html#monthly/3"},{"type":"function","title":"Parameters - AlphaVantage.Forex.monthly/3","doc":"**Required**\n\n- `:from_currency`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_currency`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Forex.html#monthly/3-parameters"},{"type":"function","title":"AlphaVantage.Forex.weekly/3","doc":"Returns the weekly time series (timestamp, open, high, low, close) of the FX currency pair specified, updated realtime.\nThe latest data point is the prices information for the week (or partial week) containing the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#fx-weekly for more detail.","ref":"AlphaVantage.Forex.html#weekly/3"},{"type":"function","title":"Parameters - AlphaVantage.Forex.weekly/3","doc":"**Required**\n\n- `:from_currency`\n\n  The currency you would like to get the exchange rate for. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n- `:to_currency`\n\n  The destination currency for the exchange rate. It can either be a physical currency or digital/crypto currency.\n  For example: `\"USD\"`, `\"EUR\"`, or `\"BTC\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.Forex.html#weekly/3-parameters"},{"type":"module","title":"AlphaVantage.FundamentalData","doc":"A set of functions for fetching various temporal dimensions covering key financial metrics, income statements, balance sheets, cash flow, and other fundamental data points from [Alpha Vantage](www.alphavantage.co/documentation/#fundamentals).","ref":"AlphaVantage.FundamentalData.html"},{"type":"function","title":"AlphaVantage.FundamentalData.balance_sheet/2","doc":"Returns the annual and quarterly balance sheets for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC.\nData is generally refreshed on the same day a company reports its latest earnings and financials.\n\nPlease reference https://www.alphavantage.co/documentation/#balance-sheet for more detail.","ref":"AlphaVantage.FundamentalData.html#balance_sheet/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.balance_sheet/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#balance_sheet/2-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.cash_flow/2","doc":"Returns This API returns the annual and quarterly cash flow for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC.\nData is generally refreshed on the same day a company reports its latest earnings and financials.\n\nPlease reference https://www.alphavantage.co/documentation/#cash-flow for more detail.","ref":"AlphaVantage.FundamentalData.html#cash_flow/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.cash_flow/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#cash_flow/2-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.company_overview/2","doc":"Returns the company information, financial ratios, and other key metrics for the equity specified.\nData is generally refreshed on the same day a company reports its latest earnings and financials.\n\nPlease reference https://www.alphavantage.co/documentation/#company-overview for more detail.","ref":"AlphaVantage.FundamentalData.html#company_overview/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.company_overview/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#company_overview/2-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.earnings/2","doc":"Returns the annual and quarterly earnings (EPS) for the company of interest.\nQuarterly data also includes analyst estimates and surprise metrics.\n\nPlease reference https://www.alphavantage.co/documentation/#earnings for more detail.","ref":"AlphaVantage.FundamentalData.html#earnings/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.earnings/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#earnings/2-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.earnings_calendar/1","doc":"Returns a list of company earnings expected in the next 3, 6, or 12 months.\n\nPlease reference https://www.alphavantage.co/documentation/#earnings-calendar for more detail.\n\nNote: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON.","ref":"AlphaVantage.FundamentalData.html#earnings_calendar/1"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.earnings_calendar/1","doc":"_Optional_ (accepted as a keyword list)\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:horizon`\n\n  By default, `horizon: \"3month\"` and the API will return a list of expected company earnings in the next 3 months.\n  You may set `horizon: \"6month\"` or `horizon: \"12month\"` to query the earnings scheduled for the next 6 months or 12 months, respectively.","ref":"AlphaVantage.FundamentalData.html#earnings_calendar/1-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.income_statement/2","doc":"Returns the annual and quarterly income statements for the company of interest, with normalized fields mapped to GAAP and IFRS taxonomies of the SEC.\nData is generally refreshed on the same day a company reports its latest earnings and financials.\n\nPlease reference https://www.alphavantage.co/documentation/#income-statement for more detail.","ref":"AlphaVantage.FundamentalData.html#income_statement/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.income_statement/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.FundamentalData.html#income_statement/2-parameters"},{"type":"function","title":"AlphaVantage.FundamentalData.ipo_calendar/1","doc":"Returns a list of IPOs expected in the next 3 months.\n\nPlease reference https://www.alphavantage.co/documentation/#ipo-calendar for more detail.\n\nNote: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON.","ref":"AlphaVantage.FundamentalData.html#ipo_calendar/1"},{"type":"function","title":"AlphaVantage.FundamentalData.listing_status/2","doc":"Returns a list of active or delisted US stocks and ETFs, either as of the latest trading day or at a specific time in history.\nThe endpoint is positioned to facilitate equity research on asset lifecycle and survivorship.\n\nPlease reference https://www.alphavantage.co/documentation/#listing-status for more detail.\n\nNote: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON.","ref":"AlphaVantage.FundamentalData.html#listing_status/2"},{"type":"function","title":"Parameters - AlphaVantage.FundamentalData.listing_status/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:date`\n\n  If no date is set, the API endpoint will return a list of active or delisted symbols as of the latest trading day.\n  If a date is set, the API endpoint will \"travel back\" in time and return a list of active or delisted symbols on that particular date in history.\n  Any YYYY-MM-DD date later than 2010-01-01 is supported. For example, `date: \"2013-08-03\"`.\n\n- `:state`\n\n  By default, `state: \"active\"` and the API will return a list of actively traded stocks and ETFs.\n  Set `state: \"delisted\"` to query a list of delisted assets.","ref":"AlphaVantage.FundamentalData.html#listing_status/2-parameters"},{"type":"module","title":"AlphaVantage.StockTimeSeries","doc":"A set of functions for fetching realtime and historical global equity data from [Alpha Vantage](www.alphavantage.co/documentation/#time-series-data) in 4 different temporal resolutions:\n(1) daily, (2) weekly, (3) monthly, and (4) intraday.\nDaily, weekly, and monthly time series contain 20+ years of historical data.","ref":"AlphaVantage.StockTimeSeries.html"},{"type":"function","title":"AlphaVantage.StockTimeSeries.daily/2","doc":"Returns daily time series (date, daily open, daily high, daily low, daily close, daily volume) of the global equity specified, covering 20+ years of historical data.\nThe most recent data point is the prices and volume information of the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#daily for more detail.","ref":"AlphaVantage.StockTimeSeries.html#daily/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.daily/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#daily/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.daily_adjusted/2","doc":"Returns daily time series (date, daily open, daily high, daily low, daily close, daily volume, daily adjusted close, and split/dividend events) of the global equity specified, covering 20+ years of historical data.\nThe most recent data point is the prices and volume information of the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#dailyadj for more detail.","ref":"AlphaVantage.StockTimeSeries.html#daily_adjusted/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.daily_adjusted/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#daily_adjusted/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.intraday/3","doc":"Returns intraday time series (timestamp, open, high, low, close, volume) of the equity specified.\n\nPlease reference https://www.alphavantage.co/documentation/#intraday for more detail.","ref":"AlphaVantage.StockTimeSeries.html#intraday/3"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.intraday/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#intraday/3-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.intraday_extended_history/4","doc":"Returns historical intraday time series for the trailing 2 years, covering over 2 million data points per ticker.\nThe intraday data is derived from the Securities Information Processor (SIP) market-aggregated data.\nYou can query both raw (as-traded) and split/dividend-adjusted intraday data from this endpoint.\nCommon use cases for this API include data visualization, trading simulation/backtesting, and machine learning and deep learning applications with a longer horizon.\n\nPlease reference https://www.alphavantage.co/documentation/#intraday-extended for more detail.\n\nNote: To ensure optimal API response time, this endpoint uses the CSV format which is more memory-efficient than JSON.","ref":"AlphaVantage.StockTimeSeries.html#intraday_extended_history/4"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.intraday_extended_history/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`\n\n- `:slice`\n\n  Two years of minute-level intraday data contains over 2 million data points, which can take up to Gigabytes of memory.\n  To ensure optimal API response speed, the trailing 2 years of intraday data is evenly divided into 24 \"slices\" - `\"year1month1\"`, `\"year1month2\"`, `\"year1month3\"`, ..., `\"year1month11\"`, `\"year1month12\"`, `\"year2month1\"`, `\"year2month2\"`, `\"year2month3\"`, ..., `\"year2month11\"`, `\"year2month12\"`.\n  Each slice is a 30-day window, with `\"year1month1\"` being the most recent and `\"year2month12\"` being the farthest from today.\n  By default, `slice: \"year1month1\"`.\n\n_Optional_ (accepted as a keyword list)\n\n- `:adjusted`\n\n  By default, `adjusted: true` and the output time series is adjusted by historical split and dividend events.\n  Set `adjusted: false` to query raw (as-traded) intraday values.","ref":"AlphaVantage.StockTimeSeries.html#intraday_extended_history/4-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.monthly/2","doc":"Returns monthly time series (last trading day of each month, monthly open, monthly high, monthly low, monthly close, monthly volume) of the global equity specified, covering 20+ years of historical data.\nThe latest data point is the prices and volume information for the month (or partial month) that contains the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#monthly for more detail.","ref":"AlphaVantage.StockTimeSeries.html#monthly/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.monthly/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#monthly/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.monthly_adjusted/2","doc":"Returns monthly adjusted time series (last trading day of each month, monthly open, monthly high, monthly low, monthly close, monthly adjusted close, monthly volume, monthly dividend) of the equity specified, covering 20+ years of historical data.\nThe latest data point is the prices and volume information for the month (or partial month) that contains the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#monthlyadj for more detail.","ref":"AlphaVantage.StockTimeSeries.html#monthly_adjusted/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.monthly_adjusted/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#monthly_adjusted/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.quote/2","doc":"Returns the latest price and volume information for a security of your choice.\n\nPlease reference https://www.alphavantage.co/documentation/#latestprice for more detail.","ref":"AlphaVantage.StockTimeSeries.html#quote/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.quote/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#quote/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.search/2","doc":"Returns the best-matching symbols and market information based on keywords of your choice.\nThe search results also contain match scores that provide you with the full flexibility to develop your own search and filtering logic.\n\nPlease reference https://www.alphavantage.co/documentation/#symbolsearch for more detail.","ref":"AlphaVantage.StockTimeSeries.html#search/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.search/2","doc":"**Required**\n\n- `:keywords`\n\n  A text string of your choice.\n  For example: keywords=`\"microsoft\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#search/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.weekly/2","doc":"Returns weekly time series (last trading day of each week, weekly open, weekly high, weekly low, weekly close, weekly volume) of the global equity specified, covering 20+ years of historical data.\nThe latest data point is the prices and volume information for the week (or partial week) that contains the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#weekly for more detail.","ref":"AlphaVantage.StockTimeSeries.html#weekly/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.weekly/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.\n\n- `:outputsize`\n  - `\"compact\"` returns only the latest 100 data points in the intraday time series (default);\n  - `\"full\"` returns the full-length intraday time series.\n\n  The `\"compact\"` option is recommended if you would like to reduce the data size of each API call.","ref":"AlphaVantage.StockTimeSeries.html#weekly/2-parameters"},{"type":"function","title":"AlphaVantage.StockTimeSeries.weekly_adjusted/2","doc":"Returns weekly adjusted time series (last trading day of each week, weekly open, weekly high, weekly low, weekly close, weekly adjusted close, weekly volume, weekly dividend) of the global equity specified, covering 20+ years of historical data.\nThe latest data point is the prices and volume information for the week (or partial week) that contains the current trading day, updated realtime.\n\nPlease reference https://www.alphavantage.co/documentation/#weeklyadj for more detail.","ref":"AlphaVantage.StockTimeSeries.html#weekly_adjusted/2"},{"type":"function","title":"Parameters - AlphaVantage.StockTimeSeries.weekly_adjusted/2","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.StockTimeSeries.html#weekly_adjusted/2-parameters"},{"type":"module","title":"AlphaVantage.TechnicalIndicators","doc":"A set of functions for fetching technical indicators from [Alpha Vantage](www.alphavantage.co/documentation/#technical-indicators).","ref":"AlphaVantage.TechnicalIndicators.html"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ad/3","doc":"Returns the Chaikin A/D line (AD) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#ad for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ad/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ad/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ad/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.adosc/3","doc":"Returns the Chaikin A/D line oscillator (ADOSC) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#adosc for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#adosc/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.adosc/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastperiod`\n\n  The time period of the fast EMA.\n  Positive integers are accepted. By default, `fastperiod: 3`.\n\n- `:slowperiod`\n\n  The time period of the slow EMA.\n  Positive integers are accepted. By default, `slowperiod: 10`.\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adosc/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.adx/4","doc":"Returns the average directional movement index (ADX) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#adx for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#adx/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.adx/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adx/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.adxr/4","doc":"Returns the average directional movement index rating (ADXR) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#adxr for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#adxr/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.adxr/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#adxr/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.apo/4","doc":"Returns the absolute price oscillator (APO) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#apo for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#apo/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.apo/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastperiod`\n\n  Positive integers are accepted. By default, `fastperiod: 12`.\n\n- `:slowperiod`\n\n  Positive integers are accepted. By default, `slowperiod: 26`.\n\n- `:matype`\n\n  Moving average type.\n  By default, `matype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#apo/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.aroon/4","doc":"Returns the Aroon (AROON) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#aroon for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#aroon/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.aroon/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#aroon/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.aroonosc/4","doc":"Returns the Aroon oscillator (AROONOSC) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#aroonosc for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#aroonosc/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.aroonosc/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#aroonosc/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.atr/4","doc":"Returns the average true range (ATR) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#atr for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#atr/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.atr/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#atr/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.bbands/5","doc":"Returns the Bollinger bands (BBANDS) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#bbands for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#bbands/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.bbands/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:nbdevup`\n\n  The standard deviation multiplier of the upper band.\n  Positive integers are accepted. By default, `nbdevup: 2`.\n\n- `:nbdevdn`\n\n  The standard deviation multiplier of the lower band.\n  Positive integers are accepted. By default, `nbdevdn: 2`.\n\n- `:matype`\n\n  Moving average type of the time series.\n  By default, `matype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#bbands/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.bop/3","doc":"Returns the balance of power (BOP) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#bop for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#bop/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.bop/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#bop/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.cci/4","doc":"Returns the commodity channel index (CCI) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#cci for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#cci/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.cci/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#cci/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.cmo/5","doc":"Returns the Chande momentum oscillator (CMO) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#cmo for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#cmo/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.cmo/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#cmo/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.dema/5","doc":"Returns the double exponential moving average (DEMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#dema for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#dema/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.dema/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#dema/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.dx/4","doc":"Returns the directional movement index (DX) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#ex for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#dx/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.dx/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#dx/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ema/5","doc":"Returns the exponential moving average (EMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#ema for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ema/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ema/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ema/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_dcperiod/4","doc":"Returns the Hilbert transform, dominant cycle period (HT_DCPERIOD) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#htdcperiod more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcperiod/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_dcperiod/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcperiod/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_dcphase/4","doc":"Returns the Hilbert transform, dominant cycle phase (HT_DCPHASE) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#htdcphase more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcphase/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_dcphase/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_dcphase/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_phasor/4","doc":"Returns the Hilbert transform, phasor components (HT_PHASOR) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#htphasor more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_phasor/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_phasor/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_phasor/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_sine/4","doc":"Returns the Hilbert transform, sine wave (HT_SINE) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#htsine for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_sine/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_sine/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_sine/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_trendline/4","doc":"Returns the Hilbert transform, instantaneous trendline (HT_TRENDLINE) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#httrendline for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendline/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_trendline/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendline/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ht_trendmode/4","doc":"Returns the Hilbert transform, trend vs cycle mode (HT_TRENDMODE) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#httrendmode for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendmode/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ht_trendmode/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ht_trendmode/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.kama/5","doc":"Returns the Kaufman adaptive moving average (KAMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#kama for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#kama/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.kama/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#kama/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.macd/5","doc":"Returns the moving average convergence / divergence (MACD) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#macd for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#macd/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.macd/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastperiod`\n\n  Positive integers are accepted. By default, `fastperiod: 12`.\n\n- `:slowperiod`\n\n  Positive integers are accepted. By default, `slowperiod: 26`.\n\n- `:signalperiod`\n\n  Positive integers are accepted. By default, `signalperiod: 9`.\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#macd/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.macdext/5","doc":"Returns the moving average convergence / divergence values with controllable moving average type (MACDEXT) for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#macdext for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#macdext/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.macdext/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastperiod`\n\n  Positive integers are accepted. By default, `fastperiod: 12`.\n\n- `:slowperiod`\n\n  Positive integers are accepted. By default, `slowperiod: 26`.\n\n- `:signalperiod`\n\n  Positive integers are accepted. By default, `signalperiod: 9`.\n\n- `:fastmatype`\n\n  Moving average type for the faster moving average.\n  By default, `fastmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:slowmatype`\n\n  Moving average type for the slower moving average.\n  By default, `slowmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:signalmatype`\n\n  Moving average type for the signal moving average.\n  By default, `signalmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#macdext/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.mama/5","doc":"Returns the MESA adaptive moving average (MAMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#mama for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#mama/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.mama/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mama/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.mfi/4","doc":"Returns the money flow index (MFI) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#mfi for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#mfi/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.mfi/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mfi/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.midpoint/5","doc":"Returns the midpoint (MIDPOINT) values for a given symbol, interval, time period, and series type.\nMIDPOINT = (highest value + lowest value)/2.\n\nPlease reference https://www.alphavantage.co/documentation/#midpoint for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#midpoint/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.midpoint/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#midpoint/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.midprice/4","doc":"Returns the midprice (MIDPRICE) values for a given symbol, interval, and time period.\nMIDPRICE = (highest value + lowest value)/2.\n\nPlease reference https://www.alphavantage.co/documentation/#midpoint for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#midprice/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.midprice/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#midprice/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.minus_di/4","doc":"Returns the minus directional indicator (MINUS_DI) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#minusdi for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#minus_di/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.minus_di/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#minus_di/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.minus_dm/4","doc":"Returns the minus directional movement (MINUS_DM) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#minusdm for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#minus_dm/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.minus_dm/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#minus_dm/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.mom/5","doc":"Returns the momentum (MOM) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#mom for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#mom/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.mom/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#mom/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.natr/4","doc":"Returns the normalized average true range (NATR) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#natr for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#natr/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.natr/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#natr/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.obv/3","doc":"Returns the on balance volume (OBV) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#obv for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#obv/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.obv/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#obv/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.plus_di/4","doc":"Returns the plus directional indicator (PLUS_DI) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#plusdi for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#plus_di/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.plus_di/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#plus_di/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.plus_dm/4","doc":"Returns the plus directional movement (PLUS_DM) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#plusdm for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#plus_dm/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.plus_dm/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#plus_dm/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ppo/4","doc":"Returns the percentage price oscillator (PPO) values for a given symbol, interval, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#ppo for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ppo/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ppo/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastperiod`\n\n  Positive integers are accepted. By default, `fastperiod: 12`.\n\n- `:slowperiod`\n\n  Positive integers are accepted. By default, `slowperiod: 26`.\n\n- `:matype`\n\n  Moving average type.\n  By default, `matype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ppo/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.roc/5","doc":"Returns the rate of change (ROC) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#roc for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#roc/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.roc/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#roc/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.rocr/5","doc":"Returns the rate of change ratio (ROCR) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#rocr for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#rocr/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.rocr/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#rocr/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.rsi/5","doc":"Returns the relative strength index (RSI) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#rsi for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#rsi/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.rsi/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#rsi/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.sar/3","doc":"Returns the parabolic SAR (SAR) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#sar for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#sar/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.sar/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:acceleration`\n\n  The acceleration factor.\n  Positive floats are accepted. By default, `acceleration: 0.01`.\n\n- `:maximum`\n\n  The acceleration factor maximum value.\n  Positive floats are accepted. By default, `maximum: 0.20`.\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#sar/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.sma/5","doc":"Returns the simple moving average (SMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#sma for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#sma/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.sma/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#sma/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.stoch/3","doc":"Returns the stochastic oscillator (STOCH) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#stoch for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#stoch/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.stoch/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastkperiod`\n\n  The time period of the fastk moving average. Positive integers are accepted. By default, `fastkperiod: 5`.\n\n- `:slowkperiod`\n\n  The time period of the slowk moving average. Positive integers are accepted. By default, `slowkperiod: 3`.\n\n- `:slowdperiod`\n\n  The time period of the slowd moving average. Positive integers are accepted. By default, `slowdperiod: 3`.\n\n- `:slowkmatype`\n\n  Moving average type for the slowk moving average.\n  By default, `slowkmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:slowdmatype`\n\n  Moving average type for the slowd moving average.\n  By default, `slowdmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stoch/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.stochf/3","doc":"Returns the stochastic fast (STOCHF) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#stochf for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#stochf/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.stochf/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastkperiod`\n\n  The time period of the fastk moving average. Positive integers are accepted. By default, `fastkperiod: 5`.\n\n- `:fastdperiod`\n\n  The time period of the fastd moving average. Positive integers are accepted. By default, `fastdperiod: 3`.\n\n- `:fastdmatype`\n\n  Moving average type for the fastd moving average.\n  By default, `fastdmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stochf/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.stochrsi/5","doc":"Returns the stochastic relative strength index (STOCHRSI) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#stochrsi for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#stochrsi/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.stochrsi/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:fastkperiod`\n\n  The time period of the fastk moving average. Positive integers are accepted. By default, `fastkperiod: 5`.\n\n- `:fastdperiod`\n\n  The time period of the fastd moving average. Positive integers are accepted. By default, `fastdperiod: 3`.\n\n- `:fastdmatype`\n\n  Moving average type for the fastd moving average.\n  By default, `fastdmatype: 0`. Integers 0 - 8 are accepted with the following mappings. 0 = Simple Moving Average (SMA), 1 = Exponential Moving Average (EMA), 2 = Weighted Moving Average (WMA), 3 = Double Exponential Moving Average (DEMA), 4 = Triple Exponential Moving Average (TEMA), 5 = Triangular Moving Average (TRIMA), 6 = T3 Moving Average, 7 = Kaufman Adaptive Moving Average (KAMA), 8 = MESA Adaptive Moving Average (MAMA).\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#stochrsi/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.t3/5","doc":"Returns the triple exponential moving average (T3) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#t3 for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#t3/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.t3/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#t3/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.tema/5","doc":"Returns the triple exponential moving average (TEMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#tema for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#tema/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.tema/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#tema/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.trange/3","doc":"Returns the true range (TRANGE) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#trange for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#trange/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.trange/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trange/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.trima/5","doc":"Returns the triangular moving average (TRIMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#trima for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#trima/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.trima/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trima/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.trix/5","doc":"Returns the 1-day rate of change of a triple smooth exponential moving average (TRIX) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#trix for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#trix/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.trix/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#trix/5-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.ultosc/3","doc":"Returns the ultimate oscillator (ULTOSC) values for a given symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#ultosc for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#ultosc/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.ultosc/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:timeperiod1`\n\n  The first time period for the indicator.\n  Positive integers are accepted. By default, `timeperiod1: 7`.\n\n- `:timeperiod2`\n\n  The second time period for the indicator.\n  Positive integers are accepted. By default, `timeperiod1: 14`.\n\n- `:timeperiod3`\n\n  The third time period for the indicator.\n  Positive integers are accepted. By default, `timeperiod1: 28`.\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#ultosc/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.vwap/3","doc":"Returns the volume weighted average price (VWAP) for intraday time series given a symbol and interval.\n\nPlease reference https://www.alphavantage.co/documentation/#vwap for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#vwap/3"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.vwap/3","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#vwap/3-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.willr/4","doc":"Returns the Williams' %R (WILLR) values for a given symbol, interval, and time period.\n\nPlease reference https://www.alphavantage.co/documentation/#willr for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#willr/4"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.willr/4","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#willr/4-parameters"},{"type":"function","title":"AlphaVantage.TechnicalIndicators.wma/5","doc":"Returns the weighted moving average (WMA) values for a given symbol, interval, time period, and series type.\n\nPlease reference https://www.alphavantage.co/documentation/#wma for more detail.","ref":"AlphaVantage.TechnicalIndicators.html#wma/5"},{"type":"function","title":"Parameters - AlphaVantage.TechnicalIndicators.wma/5","doc":"**Required**\n\n- `:symbol`\n\n  The name of the security of your choice, provided as a string.\n  For example: `\"MSFT\"`\n\n- `:interval`\n\n  Time interval between two consecutive data points in the time series.\n  The following values are supported and accepted as strings: `\"1min\"`, `\"5min\"`, `\"15min\"`, `\"30min\"`, `\"60min\"`, `\"daily\"`, `\"weekly\"`, `\"monthly\"`\n\n- `:time_period`\n\n  Number of data points used to calculate each moving average value.\n  Positive integers are accepted: (e.g., `60`, `200`)\n\n- `:series_type`\n\n  The desired price type in the time series.\n  Four types are supported and accepted as strings: `\"close\"`, `\"open\"`, `\"high\"`, `\"low\"`\n\n_Optional_ (accepted as a keyword list)\n\n- `:datatype`\n  - `\"map\"` returns a map (default);\n  - `\"json\"` returns JSON format;\n  - `\"csv\"` returns a CSV (comma separated value) file string.","ref":"AlphaVantage.TechnicalIndicators.html#wma/5-parameters"},{"type":"extras","title":"Alpha Vantage","doc":"# Alpha Vantage\n\n[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)\n[![Hex version badge](https://img.shields.io/hexpm/v/alpha_vantage.svg)](https://hex.pm/packages/alpha_vantage)\n\nA lightweight Elixir wrapper for the [Alpha Vantage API](https://www.alphavantage.co/).","ref":"readme.html"},{"type":"extras","title":"Installation - Alpha Vantage","doc":"Add `:alpha_vantage` to your depency list in the `mix.exs` file.\n\n```elixir\ndef deps do\n  [\n    {:alpha_vantage, \"~> 0.3\"}\n  ]\nend\n```\n\nYou can now run `mix deps.get`.","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Alpha Vantage","doc":"Within `config.exs` or within the environment specific config files (e.g. `dev.exs`) add your Alpha Vantage API [key](https://www.alphavantage.co/support/#api-key) and set your response timeout threshold.\n\n```elixir\nconfig :alpha_vantage,\n  api_key: \"YOUR_API_KEY\",\n  recv_timeout: 5_000\n```\n\nNote that certain requests to the Alpha Vantage API regularly take longer than HTTPoison's default timeout of 5000ms, hence the configurability for a higher tolerance.","ref":"readme.html#configuration"},{"type":"extras","title":"Usage - Alpha Vantage","doc":"The modules and their respective functions and naming conventions within this library are meant to mirror the Alpha Vantage API documentation as closely as possible for easy cross-referencing and implementation. The only notable divergence from this approach is the `AlphaVantage.query/1` function described immediately below.","ref":"readme.html#usage"},{"type":"extras","title":"Query - Alpha Vantage","doc":"The intent of `query/1` is to provide a method for end-users to more flexibly compose their queries to the Alpha Vantage API, similarly to building the URL by hand. The primary benefit of this is the ability to quickly implement new functions from Alpha Vantage that might not yet be implemented in this library.\n\nParameters, both required and optional, may be passed as keyword lists.\n```elixir\niex> AlphaVantage.query(function: \"GLOBAL_QUOTE\", symbol: \"AAPL\")\n{:ok,\n %{\n   \"Global Quote\" => %{\n     \"01. symbol\" => \"AAPL\",\n     \"02. open\" => \"182.3540\",\n     \"03. high\" => \"184.2000\",\n     \"04. low\" => \"180.4200\",\n     \"05. price\" => \"181.7100\",\n     \"06. volume\" => \"76286731\",\n     \"07. latest trading day\" => \"2024-05-06\",\n     \"08. previous close\" => \"183.3800\",\n     \"09. change\" => \"-1.6700\",\n     \"10. change percent\" => \"-0.9107%\"\n   }\n }}\n```\n\n> [!NOTE]  \n> This method will inform you if invalid functions or parameters are passed. Alpha Vantage returns these errors with a 200 status code, but they are cast to a 400 in the `AlphaVantage.Error` struct. Similarly, rate limit errors are cast to a 429 status code.\n```elixir\niex> AlphaVantage.query(function: \"QUOTE\", symbol: \"AAPL\")\n{:error,\n %AlphaVantage.Error{\n   body: \"This API function (QUOTE) does not exist.\",\n   status_code: 400\n }}\n\niex> AlphaVantage.query(function: \"GLOBAL_QUOTE\", s: \"AAPL\")\n{:error,\n %AlphaVantage.Error{\n   body: \"Invalid API call. Please retry or visit the documentation (https://www.alphavantage.co/documentation/) for GLOBAL_QUOTE.\",\n   status_code: 400\n }}\n```\n\nParameters may also be passed as a map.\n```elixir\niex> AlphaVantage.query(%{function: \"EMA\", symbol: \"SPY\", interval: \"30min\", time_period: 2, series_type: \"close\"})\n{:ok,\n %{\n   \"Meta Data\" => %{\n     \"1: Symbol\" => \"SPY\",\n     \"2: Indicator\" => \"Exponential Moving Average (EMA)\",\n     \"3: Last Refreshed\" => \"2020-01-03 16:00:00\",\n     \"4: Interval\" => \"30min\",\n     \"5: Time Period\" => 2,\n     \"6: Series Type\" => \"close\",\n     \"7: Time Zone\" => \"US/Eastern\"\n   },\n   \"Technical Analysis: EMA\" => %{\n     \"2019-12-10 10:00\" => %{\"EMA\" => \"313.6772\"},\n     \"2019-12-09 12:00\" => %{\"EMA\" => \"314.6798\"},\n     \"2019-12-16 15:30\" => %{\"EMA\" => \"319.7121\"},\n     \"2019-12-19 11:30\" => %{\"EMA\" => \"320.3790\"},\n     \"2019-12-20 10:00\" => %{\"EMA\" => \"320.6725\"},\n     \"2019-12-20 13:00\" => %{...},\n     ...\n   }\n }}\n```","ref":"readme.html#query"},{"type":"extras","title":"Stock Time Series Example - Alpha Vantage","doc":"```elixir\niex> AlphaVantage.StockTimeSeries.monthly(\"AAPL\")\n{:ok,\n %{\n   \"Meta Data\" => %{\n     \"1. Information\" => \"Monthly Prices (open, high, low, close) and Volumes\",\n     \"2. Symbol\" => \"AAPL\",\n     \"3. Last Refreshed\" => \"2024-05-06\",\n     \"4. Time Zone\" => \"US/Eastern\"\n   },\n   \"Monthly Time Series\" => %{\n     \"2010-07-30\" => %{\n       \"1. open\" => \"254.3000\",\n       \"2. high\" => \"265.9900\",\n       \"3. low\" => \"239.6000\",\n       \"4. close\" => \"257.2500\",\n       \"5. volume\" => \"559632300\"\n     },\n     \"2024-02-29\" => %{\n       \"1. open\" => \"183.9850\",\n       \"2. high\" => \"191.0500\",\n       \"3. low\" => \"179.2500\",\n       \"4. close\" => \"180.7500\",\n       \"5. volume\" => \"1161711745\"\n     },\n     \"2007-10-31\" => %{\"1. open\" => \"154.6300\", \"2. high\" => \"190.1200\", ...},\n     \"2017-11-30\" => %{\"1. open\" => \"169.8700\", ...},\n     \"2017-09-29\" => %{...},\n     ...\n   }\n }}\n ```","ref":"readme.html#stock-time-series-example"},{"type":"extras","title":"Forex (FX) Example - Alpha Vantage","doc":"```elixir\niex> AlphaVantage.Forex.exchange_rate(\"USD\", \"CAD\")\n{:ok,\n %{\n   \"Realtime Currency Exchange Rate\" => %{\n     \"1. From_Currency Code\" => \"USD\",\n     \"2. From_Currency Name\" => \"United States Dollar\",\n     \"3. To_Currency Code\" => \"CAD\",\n     \"4. To_Currency Name\" => \"Canadian Dollar\",\n     \"5. Exchange Rate\" => \"1.30000000\",\n     \"6. Last Refreshed\" => \"2020-01-05 20:21:01\",\n     \"7. Time Zone\" => \"UTC\",\n     \"8. Bid Price\" => \"1.29990000\",\n     \"9. Ask Price\" => \"1.30010000\"\n   }\n }}\n```","ref":"readme.html#forex-fx-example"},{"type":"extras","title":"Cryptocurrencies Example - Alpha Vantage","doc":"```elixir\niex> AlphaVantage.Cryptocurrencies.monthly(\"BTC\", \"CNY\")\n{:ok,\n %{\n   \"Meta Data\" => %{\n     \"1. Information\" => \"Monthly Prices and Volumes for Digital Currency\",\n     \"2. Digital Currency Code\" => \"BTC\",\n     \"3. Digital Currency Name\" => \"Bitcoin\",\n     \"4. Market Code\" => \"CNY\",\n     \"5. Market Name\" => \"Chinese Yuan\",\n     \"6. Last Refreshed\" => \"2020-01-05 00:00:00\",\n     \"7. Time Zone\" => \"UTC\"\n   },\n   \"Time Series (Digital Currency Monthly)\" => %{\n     \"2017-09-30\" => %{\n       \"1a. open (CNY)\" => \"32667.42879500\",\n       \"1b. open (USD)\" => \"4689.89000000\",\n       \"2a. high (CNY)\" => \"34403.92794500\",\n       \"2b. high (USD)\" => \"4939.19000000\",\n       \"3a. low (CNY)\" => \"19621.81350000\",\n       \"3b. low (USD)\" => \"2817.00000000\",\n       \"4a. close (CNY)\" => \"30498.51140500\",\n       \"4b. close (USD)\" => \"4378.51000000\",\n       \"5. volume\" => \"27634.18912000\",\n       \"6. market cap (USD)\" => \"27634.18912000\"\n     },\n     \"2017-10-31\" => %{\n       \"1a. open (CNY)\" => \"30498.37209500\",\n       \"1b. open (USD)\" => \"4378.49000000\",\n       \"2a. high (CNY)\" => \"45261.88865500\",\n       \"2b. high (USD)\" => \"6498.01000000\",\n       \"3a. low (CNY)\" => \"28628.20500000\",\n       \"3b. low (USD)\" => \"4110.00000000\",\n       \"4a. close (CNY)\" => \"45018.02650000\",\n       \"4b. close (USD)\" => \"6463.00000000\",\n       \"5. volume\" => \"41626.38846300\",\n       \"6. market cap (USD)\" => \"41626.38846300\"\n     },\n     ...\n   }\n }}\n```","ref":"readme.html#cryptocurrencies-example"},{"type":"extras","title":"Technical Indicators Example - Alpha Vantage","doc":"```elixir\niex> AlphaVantage.TechnicalIndicators.mom(\"AAPL\", \"monthly\", 6, \"close\")\n{:ok,\n %{\n   \"Meta Data\" => %{\n     \"1: Symbol\" => \"AAPL\",\n     \"2: Indicator\" => \"Momentum (MOM)\",\n     \"3: Last Refreshed\" => \"2020-01-03\",\n     \"4: Interval\" => \"monthly\",\n     \"5: Time Period\" => 6,\n     \"6: Series Type\" => \"close\",\n     \"7: Time Zone\" => \"US/Eastern Time\"\n   },\n   \"Technical Analysis: MOM\" => %{\n     \"2011-06-30\" => %{\"MOM\" => \"13.1100\"},\n     \"2010-06-30\" => %{\"MOM\" => \"40.7980\"},\n     \"2006-10-31\" => %{\"MOM\" => \"10.6900\"},\n     \"2012-02-29\" => %{\"MOM\" => \"157.6100\"},\n     \"2003-02-28\" => %{\"MOM\" => \"0.2600\"},\n     \"2011-09-30\" => %{\"MOM\" => \"32.8125\"},\n     \"2016-02-29\" => %{...},\n     ...\n   }\n }}\n```","ref":"readme.html#technical-indicators-example"},{"type":"extras","title":"Sector Performances Example - Alpha Vantage","doc":"```elixir\niex> AlphaVantage.SectorPerformances.sector()\n{:ok,\n %{\n   \"Meta Data\" => %{\n     \"Information\" => \"US Sector Performance (realtime & historical)\",\n     \"Last Refreshed\" => \"2020-01-05 15:14:28 US/Eastern\"\n   },\n   \"Rank A: Real-Time Performance\" => %{\n     \"Communication Services\" => \"-0.55%\",\n     \"Consumer Discretionary\" => \"-0.85%\",\n     \"Consumer Staples\" => \"-0.17%\",\n     \"Energy\" => \"-0.34%\",\n     \"Financials\" => \"-1.10%\",\n     \"Health Care\" => \"-0.85%\",\n     \"Industrials\" => \"-0.12%\",\n     \"Information Technology\" => \"-1.06%\",\n     \"Materials\" => \"-1.62%\",\n     \"Real Estate\" => \"0.81%\",\n     \"Utilities\" => \"0.11%\"\n   },\n   \"Rank B: 1 Day Performance\" => %{\n     \"Communication Services\" => \"-0.55%\",\n     \"Consumer Discretionary\" => \"-0.85%\",\n     \"Consumer Staples\" => \"-0.17%\",\n     \"Energy\" => \"-0.34%\",\n     \"Financials\" => \"-1.10%\",\n     \"Health Care\" => \"-0.85%\",\n     \"Industrials\" => \"-0.12%\",\n     \"Information Technology\" => \"-1.06%\",\n     \"Materials\" => \"-1.62%\",\n     \"Real Estate\" => \"0.81%\",\n     \"Utilities\" => \"0.11%\"\n   },\n   ...\n }}\n```","ref":"readme.html#sector-performances-example"},{"type":"extras","title":"A Note on Tests - Alpha Vantage","doc":"Currently, the free API key limitation of 5 requests per minute prevent the test suite from being run in its entirety, so please note that it is often easiest to run specific tests. This is a self-inflicted problem, as calling the API directly for tests was opted for in lieu of mocking responses in order to signal changes to the Alpha Vantage API. This approach is subject to change.","ref":"readme.html#a-note-on-tests"},{"type":"extras","title":"Contributing - Alpha Vantage","doc":"Contributions are welcome and much appreciated, particularly as we try to keep up with new features from Alpha Vantage. Please feel free to open an issue in advance of any work to confirm that any new features are not already being accounted for or to more generally discuss updates prior to implementation.","ref":"readme.html#contributing"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}